Bug 533614 - Memory usage for gnome-screensaver increases from ~1.5 MB to ~21 MB after locking/unlocking.
Memory usage for gnome-screensaver increases from ~1.5 MB to ~21 MB after loc...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-07 15:38 EST by Gene Snider
Modified: 2015-01-14 18:24 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:27:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gene Snider 2009-11-07 15:38:14 EST
Description of problem:
gnome-screensaver uses ~21 MB of memory after several screen locks

Version-Release number of selected component (if applicable):
Fedora 12 alpha through current release canditate

How reproducible: Easily


Steps to Reproduce:
1.Check gnome-screensaver memory usage after reboot and initial login, ~1.5 MB
2.Lock and unlock screen, heap increases by 200-500 KB per lock/unlock.
3.Memory caps at ~ 21 MB after enough lock/unlock cycles.
  
Actual results: Memory usage increases to ~21 MB, additional memory is in heap.


Expected results: Memory usage should remain around 1.5 MB


Additional info:
Comment 1 m.beutnagel 2010-01-27 13:25:44 EST
Don't see any limit to growth, and way beyond 21 MB.  After only a handful of lock/unlocks it reached ~200 MB.  This is Fedora 12, 32-bit, gnome-screensaver-2.28.0-8.fc12.i686.  The 3 snapshots below are separated by a single lock/unlock.

Each cycle consumes >1% of memory.  Soon impares normal system function and requires restarting the screensaver.  Would suggest a higher priority.

$ pmap -x 31755 | grep total; top -b -n1 | egrep 'gnome-screensav|%MEM'
total kB  165712       -       -       -
  PID USER PR  NI VIRT  RES  SHR S %CPU %MEM  TIME+  COMMAND
31755 mcb  20   0 161m 149m 4368 S  0.0  7.5 0:05.16 gnome-screensav

$ pmap -x 31755 | grep total; top -b -n1 | egrep 'gnome-screensav|%MEM'
total kB  190292       -       -       -
  PID USER PR  NI VIRT  RES  SHR S %CPU %MEM  TIME+  COMMAND
31755 mcb  20   0 185m 173m 4368 S  0.0  8.8 0:06.01 gnome-screensav

$ pmap -x 31755 | grep total; top -b -n1 | egrep 'gnome-screensav|%MEM'
total kB  214872       -       -       -
  PID USER PR  NI VIRT  RES  SHR S %CPU %MEM  TIME+  COMMAND
31755 mcb  20   0 209m 197m 4368 S  0.0 10.0 0:06.86 gnome-screensav

$ pmap -x 31755 | awk '$2>1000'
31755:   gnome-screensaver
Address   Kbytes     RSS    Anon  Locked Mode   Mapping
00101000    1232       -       -       - r-x--  libX11.so.6.3.0
00a14000    1468       -       -       - r-x--  libc-2.11.1.so
06229000    4632       -       -       - r-x--  libgtk-x11-2.0.so.0.1800.6
aae56000  172060       -       -       - rw---    [ anon ]
b56bd000   24580       -       -       - rw---    [ anon ]
total kB  214872       -       -       -

If I've installed (or skipped) something to cause this, please let me know.  Performance drops quickly if this is happening -- you can't ignore it for long.  Seems odd that I'm the first to report it.  Am I the only one running 32-bit Fedora 12?

Thanks,
Mark
Comment 2 Juan Quintela 2010-02-24 18:29:19 EST
I have the same problem here.
What is your video hardware?  mine is:

01:00.0 VGA compatible controller: ATI Technologies Inc RV710 [Radeon HD 4350]

on my laptop with intel graphics it dont' happens (same rest of packages overall).

From top:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 2503 quintela  20   0  395m 146m 4324 S  0.0  7.3   0:04.71 gnome-screensav    

I lock/unlock screen:

 2503 quintela  20   0  419m 170m 4324 S  0.0  8.5   0:05.82 gnome-screensav    

another time

 2503 quintela  20   0  443m 194m 4324 S  0.0  9.7   0:06.98 gnome-screensav    

And I can continue until memory is exhasted.  This is a normal desktop system, the more strange thing is that it has 2 monitors).

Any good idea? workaround?
Comment 3 Gene Snider 2010-02-24 18:42:49 EST
My OP was for my laptop with Intel graphics.  I'm running F13 now, and I see different behaviour now with fully up to date F13.  It peaked at 11MB, then the next lock/unlock dropped it to 5.4MB and it's steady at that no matter how many times I lock/unlock.
Comment 4 m.beutnagel 2010-03-01 09:59:15 EST
My configuration is also dual-head, and the video hardware is similar:    ATI Technologies Inc RV610 [Radeon HD 2400 XT]

My only "workaround" is a script to kill and restart gnome-screensaver, which I run manually after every unlock:

    /usr/bin/killall -9 gnome-screensaver; sleep 1; gnome-screensaver

Thanks Juan.  This should help narrow it down.
Comment 5 Ted 2010-03-23 14:07:12 EDT
I wish mine only took 21 megs, here's a top line from mine... 

624m virtual
320m resident

 3456 tedman    20   0  624m 320m 4060 S  0.0 10.7   0:24.55 gnome-screensav   

And this is when the screen saver isn't even doing anything.
Comment 6 tengel 2010-03-28 15:48:54 EDT
Same here, workstation at work that gets locked/unlocked a number of times throughout the day and seeing memory creep, it's quite high right now:

$ pmap -x 1649 | grep total; top -b -n1 | egrep 'screen|%MEM'
total kB          631216       -       -       -
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 1649 tengel    20   0  616m 369m 5664 S  0.0 18.7   0:19.81 gnome-screensav

nVidia Corporation GeForce 8400 GS
Dual head, Fedora nv driver

kernel: 2.6.32.9-70.fc12.x86_64
gnome-screensaver: 2.28.3-1.fc12.x86_64
xorg-x11-drv-nv: 2.1.15-2.fc12.x86_64
Comment 7 Bug Zapper 2010-11-04 02:43:22 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 22:27:49 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Yeroc 2012-10-24 16:11:24 EDT
I'm seeing this same issue on RHEL6.
Comment 10 Yeroc 2012-10-24 16:26:55 EDT
I ended up creating a separate ticket for RHEL6 as I don't have permissions to re-open this one:  #869805.

Note You need to log in before you can comment on or make changes to this bug.